CONF_MODULES_FREE(3)

NAME
CONF_modules_free, CONF_modules_finish, CONF_modules_unload - OpenSSL configuration cleanup functions

SYNOPSIS
#include <openssl/conf.h>
void
CONF_modules_free(void);
void
CONF_modules_finish(void);
void
CONF_modules_unload(int all);

DESCRIPTION
CONF_modules_free() closes down and frees up all memory allocated by all configuration modules. Normally applications will only call this function at application exit to tidy up any configuration performed.

CONF_modules_finish() calls the configuration finish handler of each configuration module to free up any configuration that module may have performed.

CONF_modules_unload() finishes and unloads configuration modules. If all is set to 1, the builtin modules will be unloaded as well.

SEE ALSO
CONF_modules_load_file(3), OPENSSL_config(3)

HISTORY
CONF_modules_free(), CONF_modules_finish(), and CONF_modules_unload() first appeared in OpenSSL 0.9.7 and have been available since OpenBSD 3.2.